Updates a specific upload request
This operation updates a specific upload request within a workspace. Only draft upload requests can be edited. The editable fields are name, description, due date, and status. Status changes are restricted - only transitions from draft to in_progress are allowed. Attempting to update a non-draft upload request will result in an INVALID_STATUS error. Attempting an invalid status change will result in an INVALID_STATUS_CHANGE error.
Required authentication scopes: dtr.rooms.write
Authentication
AuthorizationBearer
JWT Bearer token from Docusign authorization server
Path parameters
accountId
The ID of the account
workspaceId
The ID of the workspace
uploadRequestId
The ID of the upload request to update
Request
The upload request object with updated values
name
The name of the upload request (editable)
description
The description of the upload request (editable)
status
Enum representing the status of a workspace upload request
Allowed values:
due_date
The due date for the upload request (editable)
assignments
List of user assignments for the upload request
Response
Upload request successfully updated
upload_request_id
The ID of the upload request
workspace_id
The ID of the workspace
name
The name of the upload request
upload_request_owner
status
Enum representing the status of a workspace upload request
Allowed values:
documents
List of documents associated with the upload request
assignments
List of user assignments for the upload request
created_date
The date the upload request was created
updated_date
The date the upload request was last updated
description
The description of the upload request
due_date
The due date for the upload request
sent_date
The date the upload request was sent
completed_date
The date the upload request was completed
Errors
400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error